import { Subject, AsyncSubject } from 'rxjs';
import { ComponentFactoryResolver, Injector } from '@angular/core';
import { DefaultTabProvider } from '../api/defaultTabProvider';
import { BaseTabComponent } from '../components/baseTab.component';
import { Logger, LogService } from './log.service';
import { ConfigService } from './config.service';
export declare type TabComponentType = new (...args: any[]) => BaseTabComponent;
export declare class AppService {
    private componentFactoryResolver;
    private defaultTabProvider;
    private config;
    private injector;
    tabs: BaseTabComponent[];
    activeTab: BaseTabComponent;
    activeTabChange$: Subject<BaseTabComponent>;
    lastTabIndex: number;
    logger: Logger;
    tabsChanged$: Subject<void>;
    tabOpened$: Subject<BaseTabComponent>;
    tabClosed$: Subject<BaseTabComponent>;
    ready$: AsyncSubject<void>;
    constructor(componentFactoryResolver: ComponentFactoryResolver, defaultTabProvider: DefaultTabProvider, config: ConfigService, injector: Injector, log: LogService);
    openNewTab(type: TabComponentType, inputs?: any): BaseTabComponent;
    openDefaultTab(): void;
    selectTab(tab: BaseTabComponent): void;
    toggleLastTab(): void;
    nextTab(): void;
    previousTab(): void;
    closeTab(tab: BaseTabComponent, checkCanClose?: boolean): Promise<void>;
    emitReady(): void;
}
