import { Subject } from 'rxjs';
import { NgZone, EventEmitter } from '@angular/core';
import { ElectronService } from '../services/electron.service';
import { LogService } from '../services/log.service';
export declare enum Platform {
    Linux = 0,
    macOS = 1,
    Windows = 2,
}
export interface Bounds {
    x: number;
    y: number;
    width: number;
    height: number;
}
export declare class HostAppService {
    private zone;
    private electron;
    platform: Platform;
    nodePlatform: string;
    preferencesMenu$: Subject<void>;
    ready: EventEmitter<any>;
    shown: EventEmitter<any>;
    secondInstance$: Subject<{
        argv: string[];
        cwd: string;
    }>;
    isFullScreen: boolean;
    private logger;
    constructor(zone: NgZone, electron: ElectronService, log: LogService);
    getWindow(): any;
    getShell(): any;
    getAppPath(): any;
    getPath(type: string): any;
    toggleFullscreen(): void;
    openDevTools(): void;
    focusWindow(): void;
    minimize(): void;
    maximize(): void;
    unmaximize(): void;
    toggleMaximize(): void;
    setBounds(bounds: Bounds): void;
    setAlwaysOnTop(flag: boolean): void;
    quit(): void;
}
