import { Observable } from 'rxjs';
import { Logger, LogService, ConfigService, HostAppService } from 'terminus-core';
export interface IPluginInfo {
    name: string;
    description: string;
    packageName: string;
    isBuiltin: boolean;
    isOfficial: boolean;
    version: string;
    homepage?: string;
    author: string;
    path?: string;
}
export declare class PluginManagerService {
    private config;
    private hostApp;
    logger: Logger;
    builtinPluginsPath: string;
    userPluginsPath: string;
    installedPlugins: IPluginInfo[];
    npmPath: string;
    private envPath;
    constructor(log: LogService, config: ConfigService, hostApp: HostAppService);
    detectPath(): Promise<void>;
    isNPMInstalled(): Promise<boolean>;
    listAvailable(query?: string): Observable<IPluginInfo[]>;
    installPlugin(plugin: IPluginInfo): Promise<void>;
    uninstallPlugin(plugin: IPluginInfo): Promise<void>;
    private getEnv();
}
