import { Observable } from 'rxjs';
import { ConfigService, HostAppService } from 'terminus-core';
import { TerminalColorSchemeProvider, ITerminalColorScheme, IShell, ShellProvider, SessionPersistenceProvider } from '../api';
export declare class TerminalSettingsTabComponent {
    config: ConfigService;
    private hostApp;
    private shellProviders;
    private colorSchemeProviders;
    fonts: string[];
    shells: IShell[];
    persistenceProviders: SessionPersistenceProvider[];
    colorSchemes: ITerminalColorScheme[];
    equalComparator: any;
    editingColorScheme: ITerminalColorScheme;
    schemeChanged: boolean;
    constructor(config: ConfigService, hostApp: HostAppService, shellProviders: ShellProvider[], colorSchemeProviders: TerminalColorSchemeProvider[], persistenceProviders: SessionPersistenceProvider[]);
    ngOnInit(): Promise<void>;
    fontAutocomplete: (text$: Observable<string>) => Observable<string[]>;
    editScheme(scheme: ITerminalColorScheme): void;
    saveScheme(): void;
    cancelEditing(): void;
    deleteScheme(scheme: ITerminalColorScheme): void;
    isCustomScheme(scheme: ITerminalColorScheme): any;
    colorsTrackBy(index: any): any;
}
