import { Observable, BehaviorSubject, Subject, Subscription } from 'rxjs';
import { ToastrService } from 'ngx-toastr';
import { NgZone } from '@angular/core';
import { AppService, ConfigService, BaseTabComponent, ElectronService, ThemesService, HostAppService, HotkeysService } from 'terminus-core';
import { IShell } from '../api';
import { Session, SessionsService } from '../services/sessions.service';
import { TerminalService } from '../services/terminal.service';
import { TerminalDecorator, ResizeEvent, SessionOptions } from '../api';
export declare class TerminalTabComponent extends BaseTabComponent {
    private zone;
    private app;
    private themes;
    private hostApp;
    private hotkeys;
    private sessions;
    private electron;
    private terminalService;
    config: ConfigService;
    private toastr;
    private decorators;
    session: Session;
    sessionOptions: SessionOptions;
    zoom: number;
    content: any;
    backgroundColor: string;
    hterm: any;
    sessionCloseSubscription: Subscription;
    hotkeysSubscription: Subscription;
    bell$: Subject<{}>;
    size: ResizeEvent;
    resize$: Observable<ResizeEvent>;
    private resize_;
    input$: Subject<string>;
    output$: Subject<string>;
    contentUpdated$: Subject<void>;
    alternateScreenActive$: BehaviorSubject<boolean>;
    mouseEvent$: Subject<Event>;
    htermVisible: boolean;
    shell: IShell;
    private bellPlayer;
    private io;
    private contextMenu;
    constructor(zone: NgZone, app: AppService, themes: ThemesService, hostApp: HostAppService, hotkeys: HotkeysService, sessions: SessionsService, electron: ElectronService, terminalService: TerminalService, config: ConfigService, toastr: ToastrService, decorators: TerminalDecorator[]);
    getRecoveryToken(): any;
    ngOnInit(): void;
    attachHTermHandlers(hterm: any): void;
    attachIOHandlers(io: any): void;
    sendInput(data: string): void;
    write(data: string): void;
    paste(): void;
    clear(): void;
    configure(): void;
    zoomIn(): void;
    zoomOut(): void;
    resetZoom(): void;
    ngOnDestroy(): void;
    destroy(): Promise<void>;
    canClose(): Promise<boolean>;
    private setFontSize();
}
