import { Observable } from 'rxjs';
import { AppService, LogService, ConfigService } from 'terminus-core';
import { IShell, ShellProvider } from '../api';
import { SessionsService } from './sessions.service';
import { TerminalTabComponent } from '../components/terminalTab.component';
export declare class TerminalService {
    private app;
    private sessions;
    private config;
    private shellProviders;
    shells$: Observable<IShell[]>;
    private shells_;
    private logger;
    constructor(app: AppService, sessions: SessionsService, config: ConfigService, shellProviders: ShellProvider[], log: LogService);
    reloadShells(): Promise<void>;
    openTab(shell?: IShell, cwd?: string): Promise<TerminalTabComponent>;
}
